## org.mortbay.html
Class StyleLink

    java.lang.Object
      |
      +--org.mortbay.html.Element
            |
            +--org.mortbay.html.Tag
                  |
                  +--org.mortbay.html.StyleLink

public class StyleLink
extends Tag

CSS Style LINK.

Version:
  $Id: StyleLink.java,v 1.2 2001/09/25 23:05:34 bretts Exp $
Author:
  Greg Wilkins (gregw)

Field Summary
`static java.lang.String` `HREF`
`static java.lang.String` `MEDIA`
`static java.lang.String` `REL`
`static java.lang.String` `TYPE`

Fields inherited from class org.mortbay.html.Element
`ALIGN, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`StyleLink(java.lang.String href)` Constructor.
`StyleLink(java.lang.String rel, java.lang.String href, java.lang.String type, java.lang.String media)` Full Constructor.

Methods inherited from class org.mortbay.html.Tag
`write`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REL

    public static final java.lang.String REL

See Also:
  Constant Field Values

### HREF

    public static final java.lang.String HREF

See Also:
  Constant Field Values

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

### MEDIA

    public static final java.lang.String MEDIA

See Also:
  Constant Field Values

Constructor Detail

### StyleLink

    public StyleLink(java.lang.String href)

  Constructor.

Parameters:
  `href` - The URL of the style sheet

### StyleLink

    public StyleLink(java.lang.String rel,
                     java.lang.String href,
                     java.lang.String type,
                     java.lang.String media)

  Full Constructor.

Parameters:
  `rel` - Style Relationship, default StyleSheet if null.
  `href` - The URL of the style sheet
  `type` - The type, default text/css if null
  `media` - The media, not specified if null

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.